# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(Convert/Bencode.pm) perl(Convert/Bencode_XS.pm) perl(Exporter.pm) perl(ExtUtils/CBuilder.pm) perl(JSON.pm) perl(JSON/PP.pm) perl(JSON/XS.pm) perl(Module/Build.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version v1.2.0
%define module_name Text-TNetstrings
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.2.0
Release: alt7
Summary: Data serialization using typed netstrings.
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SE/SEBNOW/%module_name-%module_version.tar.gz

%description
%summary

%prep
%setup -n %module_name-%module_version
rm -f lib/Text/TNetstrings/*.o
sed -i -e s,-Werror,, Build.PL

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt6
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt5.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.2.0-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.2.0-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt2.1
- rebuild with perl 5.22

* Mon Dec 15 2014 Cronbuild Service <cronbuild@altlinux.org> 1.2.0-alt2
- rebuild to get rid of unmets

* Thu Oct 17 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1
- initial import by package builder

